@import url("https://fonts.googleapis.com/css?family=Poppins:700");

*,
*:before,
*:after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
/*
    min-height: 100vh;
    display: grid;
*/
    place-items: center;
    font-family: "Poppins", sans-serif;
	margin: 0;
}

h1 {
  font-family: "Poppins", sans-serif;
  font-weight: 300;
  letter-spacing: 2px;
  font-size: 48px;
}

.inner-header {
  height: 15vh;
  width: 100%;
  margin: 0;
  padding: 0;
}

.flex {
  /*Flexbox for containers*/
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

button {
    position: relative;
    display: inline-block;
    cursor: pointer;
    outline: none;
    border: 0;
    background: transparent;
    width: 13rem; 		/*  With of the text area (original = 13rem) */
    height: auto;
}

button .circle {
    transition: all 1s cubic-bezier(0.65, 0, 0.076, 1);
    position: relative;
    display: block;
    margin: 0;
    width: 3rem;
    height: 3rem;
    background: #1a99fd;
    border-radius: 1.625rem;
}

button .arrow_icon {
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #fff;
    transition: all 1s cubic-bezier(0.65, 0, 0.076, 1);
    left: 0.625rem;
    width: 1.125rem;
    height: 0.125rem;
    background: none;
}

button .arrow_icon::before {
    position: absolute;
    content: "";
    top: -0.25rem;
    right: 0.0625rem;
    width: 0.625rem;
    height: 0.625rem;
    border-top: 0.125rem solid #fff;
    border-right: 0.125rem solid #fff;
    transform: rotate(45deg);
}

button .button_text {
    transition: all 1s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    inset: 0;
    padding: 0.75rem 0;
    margin: 0 0 0 1.85rem;
    color: #fff;
/*    text-transform: uppercase; */
    font-size: 1rem;
    line-height: 1.5;
    letter-spacing: 1px;
}

button:hover .circle {
    width: 100%;
}

button:hover .arrow_icon {
    background: #fff;
    transform: translate(1rem, 0);
}

.header {
  position: relative;
  text-align: center;
  background: linear-gradient(
    60deg,
    rgba(84, 58, 183, 1) 0%,
    rgba(0, 172, 193, 1) 100%
  );
  color: white;
}

.waves {
  position: relative;
  width: 100%;
  height: 15vh;
  margin-bottom: -7px; /*Fix for safari gap*/
  min-height: 100px;
  max-height: 150px;
}

/* Animation */
.parallax > use {
  animation: move-forever 25s cubic-bezier(0.55, 0.5, 0.45, 0.5) infinite;
}
.parallax > use:nth-child(1) {
  animation-delay: -2s;
  animation-duration: 7s;
}
.parallax > use:nth-child(2) {
  animation-delay: -3s;
  animation-duration: 10s;
}
.parallax > use:nth-child(3) {
  animation-delay: -4s;
  animation-duration: 13s;
}
.parallax > use:nth-child(4) {
  animation-delay: -5s;
  animation-duration: 20s;
}

@keyframes move-forever {
  0% {
    transform: translate3d(-90px, 0, 0);
  }
  100% {
    transform: translate3d(85px, 0, 0);
  }
}
